﻿// Copyright (c) Microsoft. All rights reserved.

using Microsoft.VisualStudio.TestTools.UITesting;
using Microsoft.VisualStudio.TestTools.UITesting.WindowsRuntimeControls;
using System;
using System.Diagnostics.CodeAnalysis;

namespace DatePickerExtension_Namespace
{
    public class DatePickerControl : XamlControl
    {
        public DatePickerControl()
            : base()
        {
            this.TechnologyName = Utilities.MyTechnologyName;
        }

        public DatePickerControl(XamlControl container)
            : base(container)
        {
            this.TechnologyName = Utilities.MyTechnologyName;
            SearchProperties.Add(UITestControl.PropertyNames.ControlType, ControlType.Group.Name);
        }

        /// <summary>
        /// Contains the property names of XamlButton
        /// </summary>
        [SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
        new public abstract class PropertyNames : XamlControl.PropertyNames
        {
            /// <summary>
            /// Gets the text displayed on the button
            /// Data-Type: System.String
            /// </summary>
            public static readonly string DateTimeValue = "DateTimeValue";
        }

        //<summary>
        //Gets the button's display text.
        //</summary>
        public virtual DateTime DateTimeValue
        {
            get
            {
                return ((DateTime)(this.GetProperty(DatePickerControl.PropertyNames.DateTimeValue)));
            }
            set
            {
                this.SetProperty(DatePickerControl.PropertyNames.DateTimeValue, value);
            }
        }
    }
}
