﻿// Copyright (c) Microsoft. All rights reserved.

using Microsoft.VisualStudio.TestTools.UITest.Extension;
using Microsoft.VisualStudio.TestTools.UITesting;
using System;

// Attribute to denote that this assembly has UITest extensions.
[assembly: UITestExtensionPackageAttribute("HelloWorldPackage",
           typeof(DatePickerExtension_Namespace.DatePickerExtension_Package))]

namespace DatePickerExtension_Namespace
{
    public class DatePickerExtension_Package : UITestExtensionPackage
    {
        DatePicker_TechnologyManager technologyManager;
        private UITestPropertyProvider[] propertyProviders;

        /// <summary>
        /// The starting point to initialise custom technology manager and property provider if needed.
        /// </summary>
        /// <param name="serviceType"></param>
        /// <returns></returns>
        public override object GetService(System.Type serviceType)
        {
            if (serviceType == typeof(UITechnologyManager))
            {
                if (technologyManager == null)
                {
                    technologyManager = new DatePicker_TechnologyManager();
                }

                return technologyManager;
            }
            else if (serviceType == typeof(UITestPropertyProvider))
            {
                if (propertyProviders == null)
                {
                    propertyProviders = new UITestPropertyProvider[] { new DatePicker_PropertyProvider() };
                }

                return propertyProviders;
            }
            return null;
        }

        public override void Dispose()
        {
        }

        public override string PackageDescription
        {
            get { return "Extension for Xaml DatePicker Control."; }
        }

        public override string PackageName
        {
            get { return "XamlDatepickerExtension"; }
        }

        public override string PackageVendor
        {
            get { return "Microsoft"; }
        }

        public override System.Version PackageVersion
        {
            get { return new Version(1, 0); }
        }

        public override System.Version VSVersion
        {
            get { return new Version(12, 0); }
        }
    }
}
